

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>
                <section *ngIf="project" >
                    <div class="d-flex justify-content-end mb-2">
                        <a *ngIf="project.status <= projectStatus.updated" role="button" class="btn btn-warning not-active">En attente de validation</a>                        
                        <button *ngIf="project.status === projectStatus.billed" type="button" class="btn btn-success" disabled>Facturé</button>
                    </div>
                    <!-- search header -->
                    <section id="faq-search-filter">
                        <div class="card faq-search" style="background-image: url('assets/app-assets/images/techbynexarise-bg.jpg')">
                            <div class="card-body text-center">
                                <!-- main title -->
                                <h2 class="text-white">Cahier de charge</h2>
                            </div>
                        </div>
                    </section>
                    <!-- /search header -->
                    <app-update-livraison class="mt-5" [(project)]="project" ></app-update-livraison>
                    <!-- frequently asked questions tabs pills -->
                    <section id="faq-tabs">
                        <!-- vertical tab pill -->
                        <div class="row">
                            <div class="col-lg-3 col-md-4 col-sm-12 overflow-auto">
                                <div class="faq-navigation mb-2 mb-md-0">
                                    <!-- pill tabs navigation -->
                                    <ul class="nav nav-pills nav-left flex-column" role="tablist">
                                        <!-- payment -->
                                        <li class="nav-item" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn">
                                            <a class="nav-link {{i==0 ? 'active' : ''}}" id="category-{{i}}" data-bs-toggle="pill" href="#faq-category-{{i}}" aria-expanded="true" role="tab">
                                                <span class="fw-bold">{{formDatas['TITLE']}}</span>
                                            </a>
                                        </li>                             

                                    </ul>

                                    <!-- FAQ image -->
                                    <img src="assets/app-assets/images/illustration/faq-illustrations.svg" class="img-fluid d-none d-md-block" alt="demand img" />
                                </div>
                            </div>

                            <div class="col-lg-9 col-md-8 col-sm-12 overflow-auto">
                                <!-- pill tabs tab content -->
                                <div class="tab-content">
                                    <div role="tabpanel" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn" class="tab-pane {{i==0 ? 'active' : ''}}" id="faq-category-{{i}}" attr.aria-labelledby="category-{{i}}" aria-expanded="true">
                                        <!-- icon and header -->
                                        <div class="d-flex align-items-center">
                                            <div>
                                                <h4 class="mb-0">{{formDatas['TITLE']}}</h4>
                                            </div>
                                        </div>
            
                                        <!-- frequent answer and question  collapse  -->
                                        <div class="accordion accordion-margin mt-2" id="faq-category-{{i}}-accordion">
                                            <div class="card accordion-item" *ngFor="let field of formDatas['FORM_CONFIG'];let iField = index; trackBy: trackByFn">
                                                <h2 class="accordion-header" id="#faq-category-{{i}}-field-{{iField}}-title">
                                                    <button class="accordion-button collapsed" data-bs-toggle="collapse" role="button" attr.data-bs-target="#faq-category-{{i}}-field-{{iField}}" aria-expanded="false" attr.aria-controls="faq-category-{{i}}-field-{{iField}}">
                                                    {{field.templateOptions?.label}}
                                                    </button>
                                                </h2>
            
                                                <div id="faq-category-{{i}}-field-{{iField}}" class="collapse accordion-collapse" attr.aria-labelledby="#faq-category-{{i}}-field-{{iField}}-title" attr.data-bs-parent="#faq-category-{{i}}-accordion">
                                                    <div class="accordion-body" *ngIf="field.key !=null ">
                                                        <span class="text-red" *ngIf="project.answers.categories[formDatas.CATEGORY][field.key.toString()] == '' || project.answers.categories[formDatas.CATEGORY][field.key.toString()] == null">
                                                            Non défini
                                                        </span>
                                                        <ng-container *ngIf="field.type=='file'">
                                                            
                                                            <div *ngFor="let fileObject of project.answers.categories[formDatas.CATEGORY][field.key.toString()];let iFilePath = index; trackBy: trackByFn">
                                                                <button class="btn btn-primary mt-1" (click)="downloadFile(fileObject.chemin, fileObject.nom)">
                                                                    {{fileObject.nom}}
                                                                    <i class="fa-solid fa-download"></i>
                                                                </button>
                                                            </div>
                                                        </ng-container>
                                                        <ng-container *ngIf="field.type!='file'">
                                                            {{project.answers.categories[formDatas.CATEGORY][field.key.toString()]}}
                                                        </ng-container>
                                                        
                                                        
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>

                    
              
                    
                    <div class="card mt-5" >
                        <div class="card-body">
                            <div class="d-flex justify-content-center">
                                <button type="button" *ngIf="project.status <= projectStatus.updated" class="btn btn-primary" (click)="validateProject()">Valider le projet</button>
                                <button type="button" *ngIf="project.status == projectStatus.validatedByAdmin" class="btn btn-primary" routerLink="/admin/atelier/project/{{project._id}}/todos">Liste à faire</button>
                                <button type="button" *ngIf="project.status >= projectStatus.todosValidatedByClient" class="btn btn-primary" routerLink="/admin/atelier/project/{{project._id}}/progression"><i class="fa-solid fa-arrow-trend-up"></i>&nbsp;Progression</button>
                            </div>
                        </div>
                    </div>

                    <div class="card accordion mt-5" id="accordionIconDetails">
                            
                        <div class="card-header accordion-header text-body d-flex justify-content-between" id="accordionIconDetailsOne">
                                
                            <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionIconDetails-1" aria-controls="accordionIconDetails-1">
                                <h2 class="card-title">Détails</h2>
                            </button>
                        </div>
                        <div id="accordionIconDetails-1" class="card-body accordion-collapse collapse show" data-bs-parent="#accordionIconDetails">
                            <table class="table table-bordered dataTable">
                                <thead>
                                    <tr>
                                        <th>Intitulé</th>
                                        <th>Description</th>
                                        <th>Fichiers</th>
                                    </tr>
                                </thead>
                                
                                <ng-container  *ngIf="project.details.length === 0">
                                    <tr>
                                        <td colspan="2" class="text-center"  style="height: 100px;">
                                            Aucun détail à afficher
                                        </td>
                                    </tr>
                                  
                                </ng-container>
                                <tbody>
                                    <ng-container *ngIf="project.details.length > 0">
                                        <tr *ngFor="let row of project.details">
                                            <td >{{row.name}}</td>
                                            <td >{{row.description}}</td>
                                            <td>
                                                <div class="d-flex flex-wrap" >
                                                    <div class="btn-outline-secondary mb-1 d-flex align-items-center my-file-box me-50" *ngFor="let fichier of row.fichiers; let j=index" >
                                                        <div class="p-50">
                                                            <i class="fa-solid fa-file"></i>
                                                            <span class="ms-50" >{{fichier.nom}}</span>
                                                        </div>
                                                        <div class="p-50 close" (click)="downloadFile(fichier.chemin, fichier.nom)">
                                                            <i class="fa-solid fa-download"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    </ng-container> 
                                </tbody>
                            </table>
                        </div>
                        
                    </div>

                </section>
                
            </ng-template>              
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->

